"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var DirectorySearcher_1 = require("./DirectorySearcher");
var is_1 = __importDefault(require("@sindresorhus/is"));
describe("Directory Searcher", function () {
    var searcher = new DirectorySearcher_1.DirectorySearcher({
        ext: [".ts"],
        basedir: "example"
    });
    it("should be able to get example file", function () {
        var result = searcher.search("example");
        var file = result.filter(function (x) { return x.filepath.match(/hello\.ts$/); })[0];
        expect(is_1.default.object(file)).toBeTruthy();
    });
    it("should be able to get params in relative path", function () {
        var result = searcher.search("example");
        var file = result.filter(function (x) { return x.filepath.match(/\[username\]\.ts$/); })[0];
        expect(file.relativePath).toBe("/user/:username");
    });
});
